GET
/
v1
/
teams
/
{teamId}
/
agent-schedules
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.agentSchedules.listAgentSchedules({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
})
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "brief": "<string>",
      "cadence": "<string>",
      "nextRunAt": "<string>",
      "lastRunAt": "<string>",
      "perRunCreditCeilingDecimillicents": 123,
      "dailyCreditCeilingDecimillicents": 1,
      "pendingItemCap": 50,
      "pausedAt": "<string>",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

Response

ListAgentSchedulesResponse

data
object[]
required